| POST | /RestApi/reviews-api |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Message | body | string | No | |
| Name | body | string | No | |
| body | string | No | ||
| CustomData | body | string | No | |
| ThreadKey | body | string | No | |
| Thread | body | ThreadCreateRequest | No | |
| Captcha | body | CaptchaInfo | No | |
| Rating | body | decimal? | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Type | form | string | No | |
| Behavior | form | string | No | |
| Title | form | string | No | |
| Language | form | string | No | |
| DataSource | form | string | No | |
| GroupKey | form | string | No | |
| Group | form | GroupCreateRequest | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Description | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Answer | form | string | No | |
| CorrectAnswer | form | string | No | |
| InitializationVector | form | string | No | |
| Key | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Message | form | string | No | |
| DateCreated | form | DateTime | No | |
| ProfilePictureUrl | form | string | No | |
| ProfilePictureThumbnailUrl | form | string | No | |
| Status | form | string | No | |
| form | string | No | ||
| ThreadKey | form | string | No | |
| AuthorIpAddress | form | string | No | |
| CustomData | form | string | No | |
| Rating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/reviews-api HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Message: String,
Name: String,
Email: String,
CustomData: String,
ThreadKey: String,
Thread:
{
Key: String,
Type: String,
Behavior: String,
Title: String,
Language: String,
DataSource: String,
GroupKey: String,
Group:
{
Key: String,
Name: String,
Description: String
}
},
Captcha:
{
Answer: String,
CorrectAnswer: String,
InitializationVector: String,
Key: String
},
Rating: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Name: String,
Message: String,
DateCreated: 0001-01-01,
ProfilePictureUrl: String,
ProfilePictureThumbnailUrl: String,
Status: String,
Email: String,
ThreadKey: String,
AuthorIpAddress: String,
CustomData: String,
Rating: 0
}